## nilearn 0.1.4+git3

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
NOSETESTS ?= nosetests
CTAGS ?= ctags

all: clean test doc-noplot

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean: clean-build clean-pyc clean-so clean-ctags

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code:
	$(NOSETESTS) -s nilearn 
test-doc:
	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
	--doctest-extension=inc --doctest-fixtures=_fixture doc/ \
	

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s --with-coverage --cover-html --cover-html-dir=coverage \
	--cover-package=nilearn nilearn

test: test-code test-doc

trailing-spaces:
	find . -name "*.py" | xargs perl -pi -e 's/[ \t]*$$//'

cython:
	find -name "*.pyx" | xargs $(CYTHON)

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) -R *

.PHONY : doc
doc:
	make -C doc html

.PHONY : doc-noplot
doc-noplot:
	make -C doc html-noplot

.PHONY : pdf
pdf:
	make -C doc pdf

install: 
	cd doc && make install

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex latexpdf changes linkcheck doctest

all: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  html-noplot to make standalone HTML files, without plotting anything"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

force_html: force html

force:
	find . -name \*.rst -exec touch {} \;

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html .nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html .nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	touch $(BUILDDIR)/dirhtml .nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nilearn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nilearn.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

download-data:

zip: html pdf
	mkdir -p _build/nilearn ;
	cp -r _build/html _build/nilearn ;
	cp -r data _build/nilearn ;
	cp nilearn.pdf _build/nilearn;
	zip -r _build/nilearn.zip _build/nilearn

pdf: latex
	cd _build/latex ; make all-pdf ; pdfnup niearn.pdf
	cp _build/latex/nilearn.pdf nilearn-simple.pdf
	cp _build/latex/nilearn-nup.pdf nilearn.pdf
	#cd _build/latex ; make all-pdf ; pdfnup nilearn.pdf

install:
	rm -rf _build/doctrees/
	make html
	rm -rf _build/nilearn.github.io
	cd _build/ && \
        git clone git@github.com:nilearn/nilearn.github.io.git && \
	cp -r html/* nilearn.github.io && \
	cd nilearn.github.io && \
	git add * && \
	git commit -a -m 'Make install' && \
	git push

## nilearn 0.1.4+git3-g60d2a1b~dfsg.1

=== debian/changelog ===
nilearn (0.1.4+git3-g60d2a1b~dfsg.1-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Sun, 19 Jul 2015 17:19:27 +0200

nilearn (0.1.4+git3-g60d2a1b~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #792279).
  * No documentation is built as it required the download of auxiliary
    data files.

 -- Michael Hanke <mih@debian.org>  Mon, 13 Jul 2015 19:35:55 +0200

=== debian/control ===
Source: nilearn
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 9~),
  python-all (>= 2.6.6-3~),
  dh-python,
  python-setuptools,
  python-numpy (>= 1:1.6),
  python-scipy (>= 0.9),
  python-sklearn (>= 0.12.1),
  python-matplotlib (>= 1.1.1),
  python-nibabel (>= 1.1.0),
  python-nose (>= 1.2.1),
  python-coverage (>= 3.6)
#  python3-all,
#  python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://nilearn.github.io
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nilearn.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nilearn.git
X-Python-Version: >= 2.6
#X-Python3-Version: >= 3.2

Package: python-nilearn
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
  python-numpy (>= 1:1.6),
  python-scipy (>= 0.9),
  python-sklearn (>= 0.12.1),
  python-nibabel (>= 1.1.0)
Recommends: python-matplotlib
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: fast and easy statistical learning on neuroimaging data
 This Python module leverages the scikit-learn toolbox for multivariate
 statistics with applications such as predictive modelling, classification,
 decoding, or connectivity analysis.

# enable once sklearn has py3 support
#Package: python3-nilearn
#Architecture: all
#Depends: ${misc:Depends}, ${python3:Depends},
#  python-numpy (>= 1:1.6),
#  python-scipy (>= 0.9),
#  python-sklearn (>= 0.12.1),
#  python-nibabel (>= 1.1.0)
#Recommends: python-matplotlib
#Provides: ${python:Provides}
#XB-Python-Version: ${python:Versions}
#Description: fast and easy statistical learning on neuroimaging data
# This Python module leverages the scikit-learn toolbox for multivariate
# statistics with applications such as predictive modelling, classification,
# decoding, or connectivity analysis.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = nilearn
export PYBUILD_TEST_NOSE = 1
export PYBUILD_BEFORE_TEST = cp -v {dir}/setup.cfg {build_dir}

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local master branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9]\.[0-9a-z]*' $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')~dfsg.1

PYVER = $(shell pyversions -vd)

# Mega rule
%:
# put back once the sklearn package builds py3 support in
#	dh $@  --with python2,python3 --buildsystem=pybuild
	dh $@  --with python2 --buildsystem=pybuild

override_dh_install:
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
	dh_install

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

override_dh_clean:
	# I: Custom cleaning
	rm -f .coverage
	rm -rf nilearn.egg-info build
	-find . -name '*.pyc' -delete
	dh_clean

dfsg-source-tree:
	-quilt pop -a
	@echo "Testing for uncommited changes"
	@git diff --quiet HEAD
# binaries without sources
	rm -f doc/themes/nilearn/static/jquery.js doc/themes/nilearn/static/jquery.jcarousel.min.js doc/themes/nilearn/static/doctools.js
# commit any cleanup results
	@if ! git diff --quiet HEAD; then \
		git commit -e -a -m "Remove unwanted (e.g. non-DFSG-compliant) content"; \
	fi

# make orig tarball from repository content
get-orig-source: dfsg-source-tree
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done

## nilearn 0.2.5~dfsg.1

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,15 @@
 PYTHON ?= python
 CYTHON ?= cython
 NOSETESTS ?= nosetests
+NOSETESTS_OPTIONS := $(shell pip list | grep nose-timer > /dev/null && \
+                       echo '--with-timer --timer-top-n 50')
 CTAGS ?= ctags
 
 all: clean test doc-noplot
 
 clean-pyc:
 	find . -name "*.pyc" | xargs rm -f
+	find . -name "__pycache__" | xargs rm -rf
 
 clean-so:
 	find . -name "*.so" | xargs rm -f
@@ -29,11 +32,10 @@
 	$(PYTHON) setup.py build_ext -i
 
 test-code:
-	$(NOSETESTS) -s nilearn 
+	$(NOSETESTS) -s nilearn $(NOSETESTS_OPTIONS)
 test-doc:
 	$(NOSETESTS) -s --with-doctest --doctest-tests --doctest-extension=rst \
-	--doctest-extension=inc --doctest-fixtures=_fixture doc/ \
-	
+	--doctest-extension=inc --doctest-fixtures=_fixture `find doc/ -name '*.rst'`
 
 test-coverage:
 	rm -rf coverage .coverage
@@ -53,18 +55,15 @@
 	# Install with: sudo apt-get install exuberant-ctags
 	$(CTAGS) -R *
 
+.PHONY : doc-plot
+doc-plot:
+	make -C doc html
+
 .PHONY : doc
 doc:
-	make -C doc html
-
-.PHONY : doc-noplot
-doc-noplot:
 	make -C doc html-noplot
 
 .PHONY : pdf
 pdf:
 	make -C doc pdf
 
-install: 
-	cd doc && make install
-

=== doc/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
 	@echo "  html-noplot to make standalone HTML files, without plotting anything"
+	@echo "  check     to do a sanity check of the documentation"
 	@echo "  dirhtml   to make HTML files named index.html in directories"
 	@echo "  pickle    to make pickle files"
 	@echo "  json      to make JSON files"
@@ -37,23 +38,41 @@
 	-rm -rf generated/*
 	-rm -rf modules/generated/*
 
+sym_links:
+	# Make sym-links to share the cache across various example
+	# directories
+	-cd ../examples/ && mkdir nilearn_cache
+	-cd ../examples/01_plotting/ && ln -s ../nilearn_cache
+	-cd ../examples/02_decoding/ && ln -s ../nilearn_cache
+	-cd ../examples/03_connectivity/ && ln -s ../nilearn_cache
+	-cd ../examples/04_manipulating_images/ && ln -s ../nilearn_cache
+	-cd ../examples/05_advanced/ && ln -s ../nilearn_cache
+
 force_html: force html
 
 force:
 	find . -name \*.rst -exec touch {} \;
 
-html:
+html:	sym_links
 	# These two lines make the build a bit more lengthy, and the
 	# the embedding of images more robust
 	rm -rf $(BUILDDIR)/html/_images
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	touch $(BUILDDIR)/html .nojekyll
+	touch $(BUILDDIR)/html/.nojekyll
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+html-strict:	sym_links
+	# Build html documentation using a strict mode: Warnings are
+	# considered as errors.
+	make check
+	touch $(BUILDDIR)/html/.nojekyll
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 html-noplot:
-	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	touch $(BUILDDIR)/html .nojekyll
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	touch $(BUILDDIR)/html/.nojekyll
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -132,14 +151,26 @@
 	cp _build/latex/nilearn-nup.pdf nilearn.pdf
 	#cd _build/latex ; make all-pdf ; pdfnup nilearn.pdf
 
+check:
+	rm -rf _build/doctrees
+	rm -rf $(BUILDDIR)/html/_images
+	$(SPHINXBUILD) -W -T -n -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+
 install:
-	rm -rf _build/doctrees/
+	rm -rf _build/doctrees _build/nilearn.github.io
+	# first clone the nilearn.github.io repo because it may ask
+	# for password and we don't want to delay this long build in
+	# the middle of it
+	# --no-checkout just fetches the root folder without content
+	# --depth 1 is a speed optimization since we don't need the
+	# history prior to the last commit
+	git clone --no-checkout --depth 1 https://github.com/nilearn/nilearn.github.io.git _build/nilearn.github.io
+	touch _build/nilearn.github.io/.nojekyll
 	make html
-	rm -rf _build/nilearn.github.io
 	cd _build/ && \
-        git clone git@github.com:nilearn/nilearn.github.io.git && \
 	cp -r html/* nilearn.github.io && \
 	cd nilearn.github.io && \
 	git add * && \
+	git add .nojekyll && \
 	git commit -a -m 'Make install' && \
 	git push

=== debian/changelog ===
nilearn (0.2.5~dfsg.1-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 18 Jun 2016 22:14:12 -0400

nilearn (0.2.5~dfsg.1-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/rules
    - http{,s}_proxy settings to guarantee absent network traffic during build

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 18 Jun 2016 08:53:15 -0400

nilearn (0.2.3~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add watch file.
  * Normalize debian/control via CME.
  * Update debian/copyright for directory rename.
  * Add Python 3 package.

 -- Michael Hanke <mih@debian.org>  Tue, 5 Jan 2016 20:35:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,29 +10,36 @@
 export PYBUILD_TEST_NOSE = 1
 export PYBUILD_BEFORE_TEST = cp -v {dir}/setup.cfg {build_dir}
 
+# french names make setup.py unhappy on non-utf systems
+export LC_ALL = C.UTF-8
+
 srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
 debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
 upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
 # this figures out the last merge point from 'master' into the Debian branch and
-# then described this commit relative to the last release tag (V...)
-# If this should make any sense the local master branch must track upstream's
+# then described this commit relative to the last release tag
+# For this to make any sense the local master branch must track upstream's
 # master or whatever other source branch.
 gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9]\.[0-9a-z]*' $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')~dfsg.1
 
 PYVER = $(shell pyversions -vd)
 
+export  http_proxy=http://127.0.0.1:9/
+export  https_proxy=http://127.0.0.1:9/
+
 # Mega rule
 %:
-# put back once the sklearn package builds py3 support in
-#	dh $@  --with python2,python3 --buildsystem=pybuild
-	dh $@  --with python2 --buildsystem=pybuild
+	dh $@  --with python2,python3 --buildsystem=pybuild
 
 override_dh_install:
+	rm -f .pybuild/*/build/.coverage
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
 	dh_install
 
-## immediately useable documentation and exemplar scripts/data
+# immediately useable documentation and exemplar scripts/data
+# this anticipates the documentation actually being built at some
+# point
 override_dh_compress:
 	: # I: Avoiding compression of what should not be compressed
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
@@ -44,6 +51,8 @@
 	-find . -name '*.pyc' -delete
 	dh_clean
 
+# run this target manually whenever a merge from upstream's master into the
+# Debian branch is done.
 dfsg-source-tree:
 	-quilt pop -a
 	@echo "Testing for uncommited changes"
@@ -61,7 +70,7 @@
 	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
 		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
 
-# check that DSC patches still apply
+# check that DSC patches for backports still apply
 maint-check-dsc-patches:
 	@for p in debian/patches/*-dsc-patch; \
 		do echo "check $$p"; \

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/~dfsg\.\d*$// \
    http://pypi.debian.net/nilearn/nilearn-(.*).tar.gz
